import CleanCSS from 'clean-css';
import rollup from 'rollup';
export interface EmitCssOptions {
    /** Concatenate all css files together and emit a single CSS file. */
    combine?: boolean;
    /** Show additional logging for debug purposes. */
    debug?: boolean;
    /** Write CSS files to disk even when empty. */
    emitEmpty?: boolean;
    /** Files to exclude from CSS processing. */
    exclude?: RegExp[] | string[];
    /**
     * CSS file name to emit. Only used in `combine` mode. Without this option
     * the file name will be inferred from `rollup#output.name` or from
     * `rollup#output.file` replacing `.js` with `.css`.
     */
    fileName?: string;
    /** Files to include in CSS processing. */
    include?: RegExp[] | string[];
    /** Should output CSS be minified and cleaned? */
    optimize?: boolean | CleanCSS.OptionsOutput;
}
export declare function emitCss({ combine, debug, emitEmpty, exclude, fileName, include, optimize, }?: EmitCssOptions): rollup.Plugin;
export default emitCss;
//# sourceMappingURL=index.d.ts.map